Commits

Tim Flink committed 7bc8305 Merge

fix: Be compatible with Flask-WTF versions higher than 0.8.0. Fixes T274

  • Participants
  • Parent commits 6804fd6, 52c50da

Comments (0)

Files changed (2)

File requirements.txt

 Flask-SQLAlchemy>=0.16
 SQLAlchemy>= 0.7
 WTForms>1.0
-Flask-WTF==0.8
-#FIXME: Flask-WTF > 0.8 introduced API change for imports
+Flask-WTF>=0.8
 Flask-Login>=0.2.2
 Flask-RESTful >= 0.2.5
 pytest>=2.4.2

File resultsdb/controllers/login_page.py

 #   Josef Skladanka <jskladan@redhat.com>
 
 from flask import Blueprint, render_template, redirect, flash, url_for, request
-from flask.ext.wtf import Form, TextField, PasswordField, HiddenField, RadioField
-from flask.ext.wtf import Required
+from flask.ext.wtf import Form
+from wtforms import TextField, PasswordField, HiddenField, RadioField
+from wtforms.validators import Required
 from flask.ext.login import login_user, logout_user, login_required, current_user, AnonymousUserMixin